//****************************************************/
//* ct8k                                             */
//* 2015.03.03. by Yumitaro                          */
//****************************************************/

#include <stdio.h>
#include <stdlib.h>

int main( int argc, char **argv ){
	int c,i,nn,bnum,bsum=0;
	unsigned int bsize, num = 0, sum = 0;
	FILE *infp, *outfp;
	char outfile[PATH_MAX+1];
	
	if( argc < 2 ){
		fprintf( stderr, "Usage: ct8k infile\n" );
		exit(1);
	}
	
	if( (infp=fopen(argv[1], "rb")) == NULL ){
		fprintf( stderr, "ct8k: Can't open infile '%s'\n", argv[1] );
		exit(1);
	}
	
	
	fseek( infp, 0, SEEK_END );
	bsize = ftell( infp );
	fseek( infp, 0, SEEK_SET );
	
	bnum = (bsize + 0x1fff)/0x2000;
	
	for( nn=0; nn<bnum; nn++ ){
		sprintf( outfile, "%s.%03d.p6", argv[1], nn );
		if( (outfp = fopen( outfile, "wb" )) == NULL ){
			fprintf( stderr, "ct8k: Can't open outfile '%s'\n", outfile );
			exit(1);
		}
		bsum = 0;
		
		for( i=0; i<0x2000; i++ ){
			c = fgetc( infp );
			if( c == EOF ) c = 0xff;
			bsum += c;
			fputc( c, outfp );
		}
		fputc( bsum&0xff, outfp );
		
		fclose( outfp );
	}
	
	fclose( infp );
	
	return 0;
}
